#
# spec file for package python-intervals
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-intervals
Version:        0.3.1
Release:        1.1
Summary:        Python tools for handling intervals
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/kvesteri/intervals
Source:         https://pypi.python.org/packages/source/i/intervals/intervals-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-infinity >= 0.1.3
BuildRequires:  python-pytest >= 2.2.2
BuildRequires:  python-six >= 1.4.1
Requires:       python-infinity >= 0.1.3
Requires:       python-six >= 1.4.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python tools for handling intervals (ranges of comparable objects).

%prep
%setup -q -n intervals-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
pushd tests
PYTHONPATH="%{buildroot}%{python_sitelib}" py.test
popd

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Sep 19 2014 toddrme2178@gmail.com
- Initial version
